## telepathy-qt4 0.2.0-2maemo5%2b0m5

=== debian/changelog ===
telepathy-qt4 (0.2.0-2maemo5+0m5) fremantle; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.2.0-2maemo5+0m5

 -- Laitinen Vesa-Matti <ext-vesa-matti.laitinen@nokia.com>  Wed, 28 Apr 2010 11:44:04 +0300
