## telepathy-qt4 0.2.0-2maemo7%2b0m5

=== debian/control ===
--- 
+++ 
@@ -73,12 +73,11 @@
  differences between protocols to provide a unified interface for
  applications.
 
-Package: libtelepathy-qt4-dbg
+Package: libtelepathy-qt4-0-dbg
 Architecture: any
 Section: debug
 Priority: extra
 Depends: libtelepathy-qt4-0 (= ${binary:Version}),
-         libtelepathy-qt4 (= ${Source-Version}),
          ${misc:Depends}
 Suggests: libtelepathy-qt4-farsight0 (= ${binary:Version})
 Description: Qt 4 Telepathy library (debug symbols)
