=== debian/rules ===
#!/usr/bin/make -f

PKG_CONFIG_PATH=/opt/qt4-maemo5/lib/pkgconfig/

DEB_DH_MAKESHLIBS_ARGS_libtelepathy-qt4-0 := -V"libtelepathy-qt4-0 (>= 0.2)"

include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

# We don't want the .la files, but complain if anything else is missing
binary-post-install/libtelepathy-qt4-dev::
	rm -f debian/tmp/usr/lib/*.la
common-binary-post-install-arch:: list-missing

DEB_DH_STRIP_ARGS := --dbg-package=libtelepathy-qt4-0-dbg

DEB_CONFIGURE_EXTRA_FLAGS := \
	--disable-Werror \
	--docdir=/usr/share/doc/libtelepathy-qt4-doc
#DEB_MAKE_CHECK_TARGET = check

common-build-indep::
	$(DEB_MAKE_INVOKE) doxygen-doc

# symbols file to be added later, if C++ even allows
#export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

include $(CURDIR)/debian/update-patches.mk

# we're going to symlink many of the doc directories together
DEB_INSTALL_DOCS_libtelepathy-qt4-0-dbg := --no-act
DEB_INSTALL_DOCS_libtelepathy-qt4-farsight0 := --no-act
DEB_INSTALL_DOCS_libtelepathy-qt4-dev := --no-act
DEB_INSTALL_CHANGELOGS_libtelepathy-qt4-0-dbg := --no-act
DEB_INSTALL_CHANGELOGS_libtelepathy-qt4-farsight0 := --no-act
DEB_INSTALL_CHANGELOGS_libtelepathy-qt4-dev := --no-act

include $(CURDIR)/debian/maemo-specific-rules.mk

common-binary-predeb-arch::
	./debian/maemo-optify libtelepathy-qt4-0
	./debian/maemo-optify libtelepathy-qt4-farsight0
