## telepathy-qt4 0.2.0-2maemo7+0m5

=== debian/changelog ===
telepathy-qt4 (0.2.0-2maemo7+0m5) fremantle; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.2.0-2maemo7+0m5

 -- Shane Bradley <shane.bradley@nokia.com>  Fri, 03 Sep 2010 12:36:20 +0300

telepathy-qt4 (0.2.0-2maemo7) fremantle; urgency=low

  * Symlink to opt library wasn't being created with a clean install.

 -- Shane Bradley <shane.bradley@nokia.com>  Fri, 03 Sep 2010 12:00:57 +0300

telepathy-qt4 (0.2.0-2maemo6) fremantle; urgency=low

  * Optify the packages.

 -- Shane Bradley <shane.bradley@nokia.com>  Thu, 26 Aug 2010 11:44:04 +0300
