=== TelepathyQt4/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
     account-property-filter.cpp
     account-set.cpp
     account-set-internal.h
+    avatar.cpp
     capabilities-base.cpp
     channel.cpp
     channel-class-spec.cpp
@@ -39,6 +40,7 @@
     contact-factory.cpp
     contact-manager.cpp
     contact-manager-roster.cpp
+    contact-messenger.cpp
     contact-search-channel.cpp
     dbus.cpp
     dbus-proxy.cpp
@@ -52,16 +54,20 @@
     fixed-feature-factory.cpp
     future.cpp
     future-internal.h
+    handled-channel-notifier.cpp
     incoming-file-transfer-channel.cpp
+    incoming-stream-tube-channel.cpp
     key-file.cpp
     location-info.cpp
     manager-file.cpp
     media-session-handler.cpp
     media-stream-handler.cpp
     message.cpp
+    message-content-part.cpp
     object.cpp
     optional-interface-factory.cpp
     outgoing-file-transfer-channel.cpp
+    outgoing-stream-tube-channel.cpp
     pending-account.cpp
     pending-channel.cpp
     pending-channel-request.cpp
@@ -73,7 +79,9 @@
     pending-handles.cpp
     pending-operation.cpp
     pending-ready.cpp
+    pending-send-message.cpp
     pending-string-list.cpp
+    pending-stream-tube-connection.cpp
     pending-variant.cpp
     presence.cpp
     pending-variant-map.cpp
@@ -86,11 +94,17 @@
     requestable-channel-class-spec.cpp
     ready-object.cpp
     referenced-handles.cpp
+    request-temporary-handler-internal.cpp
+    request-temporary-handler-internal.h
     room-list-channel.cpp
+    simple-text-observer.cpp
+    simple-text-observer-internal.h
+    stream-tube-channel.cpp
     streamed-media-channel.cpp
     test-backdoors.cpp
     test-backdoors.h
     text-channel.cpp
+    tube-channel.cpp
     types.cpp
     types-internal.h
     utils.cpp)
@@ -125,7 +139,8 @@
     AndFilter
     and-filter.h
     AvatarData
-    avatar-data.h
+    AvatarSpec
+    avatar.h
     CapabilitiesBase
     capabilities-base.h
     Channel
@@ -157,6 +172,7 @@
     ChannelInterfaceServicePointInterface
     ChannelInterfaceTubeInterface
     ChannelRequest
+    ChannelRequestHints
     channel-request.h
     ChannelRequestInterface
     ChannelTypeContactListInterface
@@ -222,6 +238,8 @@
     contact-factory.h
     ContactManager
     contact-manager.h
+    ContactMessenger
+    contact-messenger.h
     ContactSearchChannel
     contact-search-channel.h
     DBus
@@ -249,8 +267,12 @@
     generic-property-filter.h
     Global
     global.h
+    HandledChannelNotifier
+    handled-channel-notifier.h
     IncomingFileTransferChannel
     incoming-file-transfer-channel.h
+    IncomingStreamTubeChannel
+    incoming-stream-tube-channel.h
     IntrospectableInterface
     KeyFile
     key-file.h
@@ -266,6 +288,9 @@
     MediaStreamHandlerInterface
     Message
     message.h
+    MessageContentPart
+    MessageContentPartList
+    message-content-part.h
     MethodInvocationContext
     method-invocation-context.h
     NotFilter
@@ -278,6 +303,8 @@
     or-filter.h
     OutgoingFileTransferChannel
     outgoing-file-transfer-channel.h
+    OutgoingStreamTubeChannel
+    outgoing-stream-tube-channel.h
     PeerInterface
     PendingAccount
     pending-account.h
@@ -301,6 +328,10 @@
     pending-operation.h
     PendingReady
     pending-ready.h
+    PendingSendMessage
+    pending-send-message.h
+    PendingStreamTubeConnection
+    pending-stream-tube-connection.h
     PendingStringList
     pending-string-list.h
     PendingSuccess
@@ -311,6 +342,7 @@
     PendingVoid
     Presence
     presence.h
+    PresenceSpec
     Profile
     profile.h
     ProfileManager
@@ -339,12 +371,18 @@
     SharedPtr
     shared-ptr.h
     simple-pending-operations.h
+    SimpleTextObserver
+    simple-text-observer.h
     StatefulDBusProxy
     StatelessDBusProxy
+    StreamTubeChannel
+    stream-tube-channel.h
     StreamedMediaChannel
     streamed-media-channel.h
     TextChannel
     text-channel.h
+    TubeChannel
+    tube-channel.h
     Types
     types.h
     Utils
@@ -366,10 +404,6 @@
     ${CMAKE_CURRENT_BINARY_DIR}/_gen/cli-media-stream-handler.h
     ${CMAKE_CURRENT_BINARY_DIR}/_gen/cli-properties.h
     ${CMAKE_CURRENT_BINARY_DIR}/_gen/constants.h
-    ${CMAKE_CURRENT_BINARY_DIR}/_gen/future-channel.h
-    ${CMAKE_CURRENT_BINARY_DIR}/_gen/future-constants.h
-    ${CMAKE_CURRENT_BINARY_DIR}/_gen/future-misc.h
-    ${CMAKE_CURRENT_BINARY_DIR}/_gen/future-types.h
     ${CMAKE_CURRENT_BINARY_DIR}/_gen/types.h)
 
 # Headers file moc will be run on
@@ -394,40 +428,18 @@
     contact.h
     contact-manager.h
     contact-manager-internal.h
+    contact-messenger.h
     contact-search-channel.h
     contact-search-channel-internal.h
     dbus-proxy.h
     dbus-proxy-factory.h
     dbus-proxy-factory-internal.h
     file-transfer-channel.h
+    handled-channel-notifier.h
     incoming-file-transfer-channel.h
+    incoming-stream-tube-channel.h
     object.h
     outgoing-file-transfer-channel.h
+    outgoing-stream-tube-channel.h
+    outgoing-stream-tube-channel-internal.h
     pending-account.h
-    pending-channel.h
-    pending-channel-request.h
-    pending-channel-request-internal.h
-    pending-connection.h
-    pending-contact-attributes.h
-    pending-contact-info.h
-    pending-contacts.h
-    pending-handles.h
-    pending-operation.h
-    pending-ready.h
-    pending-string-list.h
-    pending-variant.h
-    pending-variant-map.h
-    profile-manager.h
-    readiness-helper.h
-    room-list-channel.h
-    simple-pending-operations.h
-    streamed-media-channel.h
-    text-channel.h)
-
-# Generate the spec files for both stable and future spec
-set(gen_stable_spec_xml ${CMAKE_CURRENT_BINARY_DIR}/_gen/stable-spec.xml)
-set(gen_future_spec_xml ${CMAKE_CURRENT_BINARY_DIR}/_gen/future-spec.xml)
-
-tpqt4_xincludator(stable-ifaces-includator ${CMAKE_CURRENT_SOURCE_DIR}/stable-interfaces.xml ${gen_stable_spec_xml})
-tpqt4_xincludator(future-ifaces-includator ${CMAKE_CURRENT_SOURCE_DIR}/future-interfaces.xml ${gen_future_spec_xml})
-
