=== tests/dbus/CMakeLists.txt ===
--- 
+++ 
@@ -36,6 +36,7 @@
     tpqt4_add_dbus_unit_test(ConnectionRosterGroups conn-roster-groups example-cm-contactlist2
         ${GLIB2_LIBRARIES} ${GOBJECT_LIBRARIES} ${DBUS_GLIB_LIBRARIES} ${TELEPATHY_GLIB_LIBRARIES})
     tpqt4_add_dbus_unit_test(ContactFactory contact-factory tp-glib-tests)
+    tpqt4_add_dbus_unit_test(ContactMessenger contact-messenger tp-glib-tests)
     tpqt4_add_dbus_unit_test(Contacts contacts tp-glib-tests)
     tpqt4_add_dbus_unit_test(ContactsAvatar contacts-avatar tp-glib-tests)
     tpqt4_add_dbus_unit_test(ContactsCapabilities contacts-capabilities tp-glib-tests)
